org.optaplanner.core.impl.score.stream.drools.common

## Class DroolsAbstractBiCollectingGroupByAccumulator<ResultContainer1,ResultContainer2,InTuple,KeyTuple,OutTuple>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractBiCollectingGroupByAccumulator<ResultContainer1,ResultContainer2,InTuple,KeyTuple,OutTuple>

- All Implemented Interfaces:
    Serializable, GroupByAccumulator<InTuple,OutTuple>

      public abstract class DroolsAbstractBiCollectingGroupByAccumulator<ResultContainer1,ResultContainer2,InTuple,KeyTuple,OutTuple>
      extends Object
      implements GroupByAccumulator<InTuple,OutTuple>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsAbstractBiCollectingGroupByAccumulator()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Runnable` | `accumulate(InTuple input)`
    `Set<OutTuple>` | `finish()`
    `protected abstract ResultContainer1` | `newFirstContainer()`
    `protected abstract ResultContainer2` | `newSecondContainer()`
    `protected abstract Runnable` | `processFirst(InTuple tuple, ResultContainer1 container)`
    `protected abstract Runnable` | `processSecond(InTuple tuple, ResultContainer2 container)`
    `protected abstract KeyTuple` | `toKey(InTuple tuple)`
    `protected abstract OutTuple` | `toResult(KeyTuple key, ResultContainer1 container, ResultContainer2 container2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsAbstractBiCollectingGroupByAccumulator

          public DroolsAbstractBiCollectingGroupByAccumulator()

  - ### Method Detail

    - #### accumulate

          public Runnable accumulate(InTuple input)

      Specified by:
        `accumulate` in interface `GroupByAccumulator<InTuple,OutTuple>`

    - #### finish

          public Set<OutTuple> finish()

      Specified by:
        `finish` in interface `GroupByAccumulator<InTuple,OutTuple>`

    - #### toKey

          protected abstract KeyTuple toKey(InTuple tuple)

    - #### newFirstContainer

          protected abstract ResultContainer1 newFirstContainer()

    - #### newSecondContainer

          protected abstract ResultContainer2 newSecondContainer()

    - #### processFirst

          protected abstract Runnable processFirst(InTuple tuple,
                                                   ResultContainer1 container)

    - #### processSecond

          protected abstract Runnable processSecond(InTuple tuple,
                                                    ResultContainer2 container)

    - #### toResult

          protected abstract OutTuple toResult(KeyTuple key,
                                               ResultContainer1 container,
                                               ResultContainer2 container2)

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.